package banco.gui;

import banco.cliente.*;
import banco.util.Util;

public class TelasClientes {

  public static int lerOpcaoCliente(){
    System.out.println("");
    System.out.println("1 - Cadastrar ");
    System.out.println("2 - Remover ");
    System.out.println("3 - Atualizar ");
    System.out.println("4 - Procurar ");
    System.out.println("5 - Retornar ");
    System.out.print("Escolha uma opcao: ");

    int opcao = Util.readInt();

    return opcao;
  }

  public static Cliente lerCliente(){
    System.out.print("Digite o CPF do cliente: ");
    String cpf = Util.readStr();
    System.out.print("Digite o nome do cliente: ");
    String nome = Util.readStr();

    Cliente c = new Cliente(cpf,nome);

    return c;
  }

  public static String lerCpfCliente(){
    System.out.print("Digite o CPF do cliente: ");
    String cpf = Util.readStr();

    return cpf;
  }

  public static String lerNomeCliente(){
    System.out.print("Digite o nome do cliente: ");
    String nome = Util.readStr();

    return nome;
  }

  public static void mostrarCliente(Cliente c){
    System.out.println("CPF: " + c.getCpf());
    System.out.println("NOME: " + c.getNome());
  }

}