package pacotes.versus.diretorios;

// O diretrio onde este arquivo se encontra no est relacionado
// com o nome do pacote especificado acima.  Isto mostra que os arquivos
// fontes de um pacote podem estar em diretrios no relacionados ao
// nome do pacote (o compilador apenas gera um aviso, no um erro).
// No diretrio relacionado ao nome do pacote teremos apenas os arquivos
// de bytecodes relativos a cada arquivo fonte compilado.

public class PacotesVersusDiretorios {

  public static void main(String[] args) {
    PacotesVersusDiretorios pacotesVersusDiretorios = new PacotesVersusDiretorios();
    pacotesVersusDiretorios.invokedStandalone = true;
    System.out.print("Fator de qualidade: os arquivos fontes de um pacote "
                     + "so colocados no diretrio relacionado ao nome do pacote.");
    // Um literal do tipo String no pode ser quebrado em mais de uma linha.
  }

 private boolean invokedStandalone = false;
}